Skip to navigation

Create workspace file

View as Markdown

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

folderIdstringRequired
The ID of the folder being accessed.
workspaceIdstringRequired
Specifies the workspace ID GUID.

Response

Successful response.
callerAuthorizationobjectOptional
Provides properties that describe user authorization to a workspace.
contentTypestringOptional
createdstringOptional
The UTC DateTime when the workspace user authorization was created.
createdByIdstringOptional
createdByInformationobjectOptional
A workspaceUser representing the user. This property is only returned in response to user specific GET call.
extensionstringOptional
fileSizestringOptional
fileUristringOptional
idstringOptional
isPublicstringOptional
If true, this supersedes need for bit mask permission with workspaceUserAuthorization
lastModifiedstringOptional

Utc date and time the comment was last updated (can only be done by creator.)

lastModifiedByIdstringOptional
lastModifiedByInformationobjectOptional
A workspaceUser representing the user. This property is only returned in response to user specific GET call.
namestringOptional
pageCountstringOptional
parentFolderIdstringOptional
parentFolderUristringOptional
typestringOptional

Type of the user. Valid values: type_owner, type_participant.

uristringOptional

Errors

400
Bad Request Error